## class SSDUpdateClassBoxTypeCmd : public UpdateNodeShapeTypeCmd

> command for changing class box types

## Inheritance:

### Public Methods

  | SSDUpdateClassBoxTypeCmd (ShapeView *v, List<int *> *fromTypes, int toType)
  const char* | GetName () const
  Thing* | Transform (Thing *thing)

### Inherited from UpdateNodeShapeTypeCmd:

### Protected Methods

void Reverse(Thing *oldThing, Thing *newThing)
void UpdateLines(GShape *oldShape, GShape *newShape)

### Inherited from UpdateTypeCmd:

### Public Methods

void Execute()
void UnExecute()

### Protected Fields

List <Thing *> * oldThings
List <Thing *> * newThings
int toType
List <int*> fromTypes
ShapeView* view
Diagram* diagram

### Protected Methods

void TransformAll()

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void TrackMouse(TrackType, Point*, Point*, Point*)
virtual void ReExecute()
virtual void Abort()
bool CmdDone() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> command for changing class box types

`SSDUpdateClassBoxTypeCmd(ShapeView *v, List<int *> *fromTypes, int toType)`

`const char* GetName() const`

`Thing* Transform(Thing *thing)`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de